Subject: Re: [PATCH] Include gettext.h in MyFirstContribution tutorial

From: Emily Shaffer <[email-masked]>
Date: Thu, 26 Oct 2023 14:21:17 -0700

On Wed, Oct 18, 2023 at 02:35:17PM -0700, Junio C Hamano wrote:
> 
> Jacob Stopak <[email-masked]> writes:
> 
> > The tutorial in Documentation/MyFirstContribution.txt has steps to print
> > some text using the "_" function. However, this leads to compiler errors
> > when running "make" since "gettext.h" is not #included.
> >
> > Update docs with a note to #include "gettext.h" in "builtin/psuh.c".
> >
> > Signed-off-by: Jacob Stopak <[email-masked]>
> > ---
> >  Documentation/MyFirstContribution.txt | 7 ++++---
> >  1 file changed, 4 insertions(+), 3 deletions(-)
> 
> Who's the first responder on this document these days?  I think the
> "psuh" was Emily's invention, so sending it in her direction.
> 
> Thanks.

Thanks for the nudge and sorry for the slow response (and thanks to Jack
for pointing out to me that I was delinquent).

I like this change. Nice touch disambiguating "function" in the
following paragraph.

Reviewed-by: Emily Shaffer <[email-masked]>

> 
> > diff --git a/Documentation/MyFirstContribution.txt b/Documentation/MyFirstContribution.txt
> > index 62d11a5cd7..7cfed60c2e 100644
> > --- a/Documentation/MyFirstContribution.txt
> > +++ b/Documentation/MyFirstContribution.txt
> > @@ -160,10 +160,11 @@ in order to keep the declarations alphabetically sorted:
> >  int cmd_psuh(int argc, const char **argv, const char *prefix);
> >  ----
> >  
> > -Be sure to `#include "builtin.h"` in your `psuh.c`.
> > +Be sure to `#include "builtin.h"` in your `psuh.c`. You'll also need to
> > +`#include "gettext.h"` to use functions related to printing output text.
> >  
> > -Go ahead and add some throwaway printf to that function. This is a decent
> > -starting point as we can now add build rules and register the command.
> > +Go ahead and add some throwaway printf to the `cmd_psuh` function. This is a
> > +decent starting point as we can now add build rules and register the command.
> >  
> >  NOTE: Your throwaway text, as well as much of the text you will be adding over
> >  the course of this tutorial, is user-facing. That means it needs to be